Visit our newest sister site!
Hundreds of free aircraft flight manuals
Civilian • Historical • Military • Declassified • FREE!


TUCoPS :: Web BBS :: etc :: tb10549.htm

UseBB Version 1.0.4 Path Disclosure Vulnerability



UseBB Version 1.0.4 Path Disclosure Vulnerability
UseBB Version 1.0.4 Path Disclosure Vulnerability



netVigilance Security Advisory #16

UseBB Version 1.0.4 Path Disclosure Vulnerability 

Description:
UseBB is an Open Source forum package developed in PHP and using the popular MySQL database back-end to store data. Unlike other popular forum systems, UseBB does not strive to have as many features as possible, but to be the easiest and most usable forum package, limiting the basic feature set to only the essential. 
External References: 
Mitre CVE: CVE-2007-0691
NVD NIST: CVE-2007-0691

Summary: 
UseBB is an Open Source forum package developed in PHP and using the popular MySQL database back-end to store data. Unlike other popular forum systems, UseBB does not strive to have as many features as possible, but to be the easiest and most usable forum package, limiting the basic feature set to only the essential. 
This vulnerabilities can be exploited only when PHP register_globals is On.
A security problem in the product allows attackers to gather the true path of the server-side script. 

Advisory URL: http://www.netvigilance.com/advisory0016 
Release Date: 
17 April 2007

Severity:
Risk: Low
 
CVSS Metrics:
Access Vector: Remote
Access Complexity: Low
Authentication: not-required
Confidentiality Impact: Partial
Integrity Impact: None
Availability Impact: None
Impact Bias: Normal
CVSS Base Score: 2.05128
 
Target Distribution on Internet: Low
 
Exploitability: Functional Exploit
Remediation Level: Official Fix
Report Confidence: Confirmed
 
Vulnerability Impact: Attack
Host Impact: Path disclosure.
 

SecureScout Testcase ID: 
TC 17943

Vulnerable Systems: 
UseBB Version 1.0.4

Vulnerability Type:
Program flaw – The common.php has flaws which lead to Warnings.

Vendor Status: 
The Vendor has confirmed the problem and has release patch version 1.0.6 that addresses the problem. For more information see vendor announcement on http://www.usebb.net/community/topic-1541.html 
To download the latest version go to vendors product download area here: http://www.usebb.net/downloads/ 
Workaround:
Disable warning messages: modify in the php.ini file following line: display_errors = Off.
Or modify .htaccess file (this will work only for the apache servers). 
Example: 
REQUEST:

http://[TARGET]/[usebb-folder]/index.php?_SERVER 
REPLY:
...

In file session.php on line 104:

- session_start() [ function.session-start]: Cannot send session cookie - headers already sent by (output started at [SERVER PATH]\UseBB\sources\common.php:86)

... Credits: Jesper Jurcenoks Co-founder netVigilance, Inc www.netvigilance.com


TUCoPS is optimized to look best in Firefox® on a widescreen monitor (1440x900 or better).
Site design & layout copyright © 1986-2014 AOH